(function() {
    printLog("inner_news_manager begin");
	
    function _init() {
	    printLog("inner_news_manager _init");
		
		// 初始化参数
	    related_news = document.getElementById("related_news");
			
	    // 注册相关新闻渲染接口
	    window.InnerBridge.registerHandler("jsFunctionRenderNews", window.InnerNewsManager.jsFunctionRenderNews);
    }
	
	// 渲染页面
	function _jsFunctionRenderNews(data, responseCallback) {
		var relatedNews = JSON.parse(data);
		printLog("inner_news_manager _jsFunctionRenderNews length:" + relatedNews.length);
		
		if (relatedNews && relatedNews.length > 0) {
		    // 相关新闻推荐
			var htmlTemp = "<div id='other_news' class='other_news_border'>";
			htmlTemp += "<div id='other_news_title'><div id='other_news_span'>&nbsp;</div><div id='other_news_head'>相关推荐</div><div style='clear:both;height:0px;'></div></div>";
			
			var related_news = document.getElementById("related_news");
			//related_news.innerHTML = "<div id='other_news'><b>相关阅读</b><br><br></div>";
			htmlTemp += "<div id='other_news_body'>";
			for(var i = 0; i < relatedNews.length; i++){
				printLog("inner_news_manager _jsFunctionRenderNews t index:" + relatedNews[i].tindex);
				for (var j = 0; j < relatedNews[i].singles.length; j++) {
					printLog("inner_news_manager _jsFunctionRenderNews index:" + relatedNews[i].singles[j].sindex);
					printLog("inner_news_manager _jsFunctionRenderNews item.title:" + relatedNews[i].singles[j].item.title);
					var title_id = "title_tindex_" + relatedNews[i].tindex + "sindex_" + relatedNews[i].singles[j].sindex;
					var info_id = "info_tindex_" + relatedNews[i].tindex + "sindex_" + relatedNews[i].singles[j].sindex;
					htmlTemp += "<div>";
					htmlTemp += "<a class='link2' id='" + title_id + "' tindex='" + relatedNews[i].tindex + "' sindex='" + relatedNews[i].singles[j].sindex + "' onClick='InnerNewsManager.clickRelateNews.call(this)'>" + relatedNews[i].singles[j].item.title + "</a>"
					htmlTemp += "<a class='link22' id='" + info_id + "' tindex='" + relatedNews[i].tindex + "' sindex='" + relatedNews[i].singles[j].sindex + "' onClick='InnerNewsManager.clickRelateNews.call(this)'>" + relatedNews[i].singles[j].item.publishTime + "　" + relatedNews[i].singles[j].item.media.source + "</a>"
					htmlTemp += "</div>";
					
					related_news_list.push(title_id);
				}
			}
			htmlTemp += "</div>";
			
			htmlTemp += "</div>";
			related_news.innerHTML = htmlTemp;

			printLog("related_news.innerHTML : " + related_news.innerHTML);
		}
		
		if (responseCallback) {
			responseCallback("inner_news_manager _jsFunctionRenderNews ret");
		}
	}
	
	// 渲染页面
	function _clickRelateNews() {
		printLog("inner_news_manager _clickRelateNews id:" + this.getAttribute("id"));
		printLog("inner_news_manager _clickRelateNews tindex:" + this.getAttribute("tindex"));
		printLog("inner_news_manager _clickRelateNews sindex:" + this.getAttribute("sindex"));
		window.InnerBridge.callHandler("funcNewsClick", "{tindex:" + this.getAttribute("tindex") + ",sindex:" + this.getAttribute("sindex") + "}", false);
	}
	
	function _poolLoop() {
		printLog("inner_news_manager _poolLoop size:" + related_news_list.length);
		var storedNewsSize = related_news_list.length;
		if (storedNewsSize > 0) {
			for (var i = 0; i < storedNewsSize; i++) {
				var id = related_news_list[i];
				if (id != null) {
					var news = document.getElementById(id);
					if (news && inView(news)) {
					    var tindex = news.getAttribute("tindex")
						var sindex = news.getAttribute("sindex")
						window.InnerBridge.callHandler("funcNewsPv", "{tindex:" + tindex + ",sindex:" + sindex + "}", false);
						related_news_list.splice(i, 1);
						storedNewsSize = related_news_list.length;
						i--;
					}
				}
			}
		}
	}
	
	var InnerNewsManager = window.InnerNewsManager = {
	    init: _init,
		jsFunctionRenderNews: _jsFunctionRenderNews,
		clickRelateNews: _clickRelateNews,
		poolLoop:_poolLoop
    };
	
	var related_news;
	var related_news_list = [];
	
	var doc = document;
    var readyEvent = doc.createEvent('Events');
    readyEvent.initEvent('InnerNewsManagerReady');
    doc.dispatchEvent(readyEvent);
	
	printLog("inner_news_manager end");
})();